{% extends 'base.html.twig' %}
{% block title %}Hello ArticleController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }

    #preview{
     width: 200px;
     display: inline-block;
   }
   #preview img{
     width: 100%;
   }
</style>

<form action="articleAdd" method="post" class="mt-4 mb-4">
    <button type="submit" class="btn btn-primary">Creer un article</button>
</form>
  
<div class="d-flex flex-row">

{% for item in articles %}

    <div class="card border-primary mr-4" style="max-width: 20rem;">
        <div class="card-body">
            <h4 class="card-title">Id-Article : {{ item.id }}</h4>
            <h4 class="card-title">Id-Entreprise : {{item.identreprise.id}}</h4>
            <h6 class="card-subtitle mb-2 text-muted">Description</h6>
            <p class="card-text">Designation {{ item.designation}}</p>
            <p class="card-text">Prix : {{ item.prix}} Euros</p>
            <p class="card-text">Poids : {{ item.poids}} Kg</p>
            <p class="card-text">Unite : {{ item.unite}}</p>
            <p class="card-text">Unite comercial : {{ item.unitecom}}</p>
            <p class="card-text">Description : {{ item.description}}</p>
            <p class="card-text">Stock : {{ item.quantite}}</p>
            <a href="articleEdit/{{item.id}}" class="card-link">Modifier</a>
            <a href="/articleDelete/{{item.id}}" class="card-link text-danger">Supprimer</a>
        </div>
    </div>
{% else %}
    <p>Aucun Article n'a été trouver</p>   
{% endfor %}



</div>



{% endblock %}